<?php

namespace App\Filament\Resources\Monitoring\ContentRecaps\Pages;

use App\Filament\Resources\Monitoring\ContentRecaps\ContentRecapResource;
use Filament\Actions\Action;
use Filament\Resources\Pages\CreateRecord;

class CreateContentRecap extends CreateRecord
{
    protected static string $resource = ContentRecapResource::class;

    protected static ?string $title = 'Tambah Rekap Konten';

    protected function getHeaderActions(): array
    {
        return [
            Action::make('back')
                ->label('Kembali')
                ->url(ListContentRecaps::getUrl())
                ->outlined()
                ->color('secondary'),
        ];
    }

    protected function getRedirectUrl(): string
    {
        return $this->getResource()::getUrl('index');
    }
}
